Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server
Class VirtualServer

`java.lang.Object
oracle.ovs.api.datamodel.server.VirtualServer`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MasterVirtualServer, UtilityVirtualServer

      public class VirtualServer

extends java.lang.Object
implements java.io.Serializable

This class holds the configuration details for a virtual server. Such details are included:

1. The unique identifier
2. The display name and description
3. Virtualization Types Supported
4. Operating System
5. OVS agent password
6. Config details such as memory, cpu etc.
7. Shared Location path
8. Network and hostname details

See Also:
  Serialized Form

Constructor Summary
`VirtualServer()` Default constructor

Method Summary
`void` | `clone(VirtualServer vs)` Override java.lang.Object.clone()
`java.lang.String` | `getAgentPwd()` Set agent which reside in server access password.
`java.lang.String` | `getArchitecture()` Get server Architecture, this value will be auto-detected from agent side.
`java.lang.String` | `getComments()` Get comments for the server
`java.lang.Long` | `getCpuNum()` Get server cpu number, this value will be auto-detected from agent side.
`java.lang.Long` | `getHdAmount()` Get server hard disk size, this value will be auto-detected from agent side.
`java.lang.Long` | `getHdFree()` Get server hard disk free size, this value will be auto-detected from agent side.
`java.lang.String` | `getIp()` Server IP/Hostname.
`java.lang.String` | `getLocation()` Get server location
`java.lang.String` | `getLoginPassword()` Get server login password
`java.lang.String` | `getLoginUsername()` Get server login user name
`java.lang.Long` | `getMemAmount()` Get server memory size, this value will be auto-detected from agent side.
`java.lang.Long` | `getMemFree()` Get server free memory size, this value will be auto-detected from agent side.
`java.lang.String` | `getPlatform()` Get server Platform, this value will be auto-detected from agent side.
`java.lang.Long` | `getServerId()` Get Server ID, server ID will be auto-generated by database sqence.
`java.lang.String` | `getServerName()` Set Server Name
`ServerPool` | `getServerPool()` Just for interal usage Get the server pool
`java.lang.String` | `getServerType()` Get Server Type
`java.lang.String` | `getServerTypeDisplay()` Get server type display charactor, almost same as server type.
`java.lang.String` | `getStatus()` Get server status, this value will be auto-detected through agent communication
`java.lang.String` | `getSupportHVM()` Get the server support HVM or not
`java.util.List` | `getVmList()` Just for interal usage
`java.lang.String` | `getVtType()` Deprecated. Get server virtual type
`void` | `setAgentPwd(java.lang.String agentPwd)` Set agent which reside in server access password.
`void` | `setArchitecture(java.lang.String architecture)` Set server Architecture, this value will be auto-detected from agent side.
`void` | `setComments(java.lang.String comments)` Set comments for the server
`void` | `setCpuNum(java.lang.Long cpuNum)` Set server cpu number, this value will be auto-detected from agent side.
`void` | `setHdAmount(java.lang.Long hdAmount)` Set server hard disk size, this value will be auto-detected from agent side.
`void` | `setHdFree(java.lang.Long hdFree)` Set server hard disk free size, this value will be auto-detected from agent side.
`void` | `setIp(java.lang.String ip)` Server IP/Hostname.
`void` | `setLocation(java.lang.String location)` Set server location
`void` | `setLoginPassword(java.lang.String loginPassword)` Set server login password
`void` | `setLoginUsername(java.lang.String loginUsername)` Set server login user name
`void` | `setMemAmount(java.lang.Long memAmount)` Set server memory total size, this value will be auto-detected from agent side.
`void` | `setMemFree(java.lang.Long memFree)` Set server free memory size, this value will be auto-detected from agent side.
`void` | `setPlatform(java.lang.String platform)` Set server Platform, this value will be auto-detected from agent side.
`void` | `setServerId(java.lang.Long serverId)` Set Server ID, server ID will be auto-generated by database sqence.
`void` | `setServerName(java.lang.String serverName)` Set Server Name
`void` | `setServerPool(ServerPool serverPool)` Just for interal usage Set the server pool
`void` | `setServerType(java.lang.String sERVER_TYPE)` Set Server Type
`void` | `setServerTypeDisplay(java.lang.String serverTypeDisplay)` Set server type display charactor, almost same as server type.
`void` | `setStatus(java.lang.String status)` Set server status, this value will be auto-detected through agent communication
`void` | `setSupportHVM(java.lang.String supportHVM)` Set the server support HVM or not
`void` | `setVmList(java.util.List vmList)` Just for interal usage
`java.lang.String` | `toString()` Override java.lang.Object.toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualServer

    public VirtualServer()

  Default constructor

Method Detail

### setIp

    public void setIp(java.lang.String ip)

  Server IP/Hostname.
  Parameters:
    `ip` - Server IP/Hostname.

### getIp

    public java.lang.String getIp()

  Server IP/Hostname.
  Returns:
    Server IP/Hostname.

### setAgentPwd

    public void setAgentPwd(java.lang.String agentPwd)

  Set agent which reside in server access password.
  Parameters:
    `agentPwd` - Agent password

### getAgentPwd

    public java.lang.String getAgentPwd()

  Set agent which reside in server access password.
  Returns:
    Agent password

### setServerName

    public void setServerName(java.lang.String serverName)

  Set Server Name
  Parameters:
    `serverName` - Server name

### getServerName

    public java.lang.String getServerName()

  Set Server Name
  Returns:
    Server name

### setLocation

    public void setLocation(java.lang.String location)

  Set server location
  Parameters:
    `location` - server location, just for description.

### getLocation

    public java.lang.String getLocation()

  Get server location
  Returns:
    server location, just for description.

### getVtType

    public java.lang.String getVtType()

  Deprecated. Get server virtual type
  Returns:
    server virtual type.

### setServerType

    public void setServerType(java.lang.String sERVER_TYPE)

  Set Server Type
  Parameters:
    `sERVER_TYPE` - server type

### getServerType

    public java.lang.String getServerType()

  Get Server Type
  Returns:
    server type

### setServerId

    public void setServerId(java.lang.Long serverId)

  Set Server ID, server ID will be auto-generated by database sqence.
  Parameters:
    `serverId` - server ID.

### getServerId

    public java.lang.Long getServerId()

  Get Server ID, server ID will be auto-generated by database sqence.
  Returns:
    server ID.

### setArchitecture

    public void setArchitecture(java.lang.String architecture)

  Set server Architecture, this value will be auto-detected from agent side.
  Parameters:
    `architecture` - Server Architecture

### getArchitecture

    public java.lang.String getArchitecture()

  Get server Architecture, this value will be auto-detected from agent side.
  Returns:
    Server Architecture

### setPlatform

    public void setPlatform(java.lang.String platform)

  Set server Platform, this value will be auto-detected from agent side.
  Parameters:
    `platform` - Server Platform

### getPlatform

    public java.lang.String getPlatform()

  Get server Platform, this value will be auto-detected from agent side.
  Returns:
    Server Platform

### setCpuNum

    public void setCpuNum(java.lang.Long cpuNum)

  Set server cpu number, this value will be auto-detected from agent side.
  Parameters:
    `cpuNum` - Server cpu number

### getCpuNum

    public java.lang.Long getCpuNum()

  Get server cpu number, this value will be auto-detected from agent side.
  Returns:
    Server cpu number

### setMemAmount

    public void setMemAmount(java.lang.Long memAmount)

  Set server memory total size, this value will be auto-detected from agent side.
  Parameters:
    `memAmount` - Server memory total size

### getMemAmount

    public java.lang.Long getMemAmount()

  Get server memory size, this value will be auto-detected from agent side.
  Returns:
    Server free memory size

### setMemFree

    public void setMemFree(java.lang.Long memFree)

  Set server free memory size, this value will be auto-detected from agent side.
  Parameters:
    `memFree` - Server free memory size

### getMemFree

    public java.lang.Long getMemFree()

  Get server free memory size, this value will be auto-detected from agent side.
  Returns:
    Server free memory size

### setHdAmount

    public void setHdAmount(java.lang.Long hdAmount)

  Set server hard disk size, this value will be auto-detected from agent side.
  Parameters:
    `hdAmount` - Server hard disk size

### getHdAmount

    public java.lang.Long getHdAmount()

  Get server hard disk size, this value will be auto-detected from agent side.
  Returns:
    Server hard disk size

### setHdFree

    public void setHdFree(java.lang.Long hdFree)

  Set server hard disk free size, this value will be auto-detected from agent side.
  Parameters:
    `hdFree` - Server hard disk free size

### getHdFree

    public java.lang.Long getHdFree()

  Get server hard disk free size, this value will be auto-detected from agent side.
  Returns:
    Server hard disk free size

### setComments

    public void setComments(java.lang.String comments)

  Set comments for the server
  Parameters:
    `comments` - server comments

### getComments

    public java.lang.String getComments()

  Get comments for the server
  Returns:
    server comments

### setStatus

    public void setStatus(java.lang.String status)

  Set server status, this value will be auto-detected through agent communication
  Parameters:
    `status` - Server status

### getStatus

    public java.lang.String getStatus()

  Get server status, this value will be auto-detected through agent communication
  Returns:
    Server status

### setServerTypeDisplay

    public void setServerTypeDisplay(java.lang.String serverTypeDisplay)

  Set server type display charactor, almost same as server type.
  Parameters:
    `serverTypeDisplay` - server type display charactor.

### getServerTypeDisplay

    public java.lang.String getServerTypeDisplay()

  Get server type display charactor, almost same as server type.
  Returns:
    server type display charactor.

### setSupportHVM

    public void setSupportHVM(java.lang.String supportHVM)

  Set the server support HVM or not
  Parameters:
    `supportHVM` - the server support HVM or not

### getSupportHVM

    public java.lang.String getSupportHVM()

  Get the server support HVM or not
  Returns:
    the server support HVM or not

### clone

    public void clone(VirtualServer vs)

  Override java.lang.Object.clone()
  See Also:
    `Object.clone()`

### toString

    public java.lang.String toString()

  Override java.lang.Object.toString()
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    VirtualServer Object description.
  See Also:
    `Object.toString()`

### setLoginUsername

    public void setLoginUsername(java.lang.String loginUsername)

  Set server login user name
  Parameters:
    `loginUsername` - Server login user name

### getLoginUsername

    public java.lang.String getLoginUsername()

  Get server login user name
  Returns:
    Server login user name

### setLoginPassword

    public void setLoginPassword(java.lang.String loginPassword)

  Set server login password
  Parameters:
    `loginPassword` - Server login password

### getLoginPassword

    public java.lang.String getLoginPassword()

  Get server login password
  Returns:
    Server login password

### setServerPool

    public void setServerPool(ServerPool serverPool)

  Just for interal usage Set the server pool
  Parameters:
    `serverPool` - Server pool

### getServerPool

    public ServerPool getServerPool()

  Just for interal usage Get the server pool
  Returns:

### setVmList

    public void setVmList(java.util.List vmList)

  Just for interal usage
  Parameters:
    `vmList` -

### getVmList

    public java.util.List getVmList()

  Just for interal usage
  Returns:
    vmList

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.